/**
 * ActRelationshipConditional2.java
 *
 * File generated from the medication2::ActRelationshipConditional2 uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication2;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration ActRelationshipConditional2.
 *
 * 
 */

@XmlType(name = "ActRelationshipConditional")
@XmlEnum
@XmlRootElement(name = "ActRelationshipConditional2")
public enum ActRelationshipConditional2 {
	@XmlEnumValue("CIND")
	CIND("CIND"),
	@XmlEnumValue("PRCN")
	PRCN("PRCN"),
	@XmlEnumValue("TRIG")
	TRIG("TRIG"),
	@XmlEnumValue("RSON")
	RSON("RSON"),
	@XmlEnumValue("MITGT")
	MITGT("MITGT");
	
	private final String value;

    ActRelationshipConditional2(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }
    
    public String getValue() {
        return value;
    }
    
    public static ActRelationshipConditional2 fromValue(String v) {
        for (ActRelationshipConditional2 c: ActRelationshipConditional2.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}
